#include "mem.h"

#include <stdlib.h>

void *
check_malloc (size_t size)
{
    void *ptr = malloc (size);
    if (!ptr)
        exit (EXIT_FAILURE);

    return ptr;
}

void *
check_realloc (void   *ptr,
               size_t  size)
{
    void *new = realloc (ptr, size);
    if (!new)
        exit (EXIT_FAILURE);

    return new;
}
